package com.yfd.platform.utils;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class TestFileDir {
    public static void main(String[] args) throws Exception {
        System.out.println("user.home = " + System.getProperty("user.home"));
        //      //获取告警触发条件
        String str = "20<=value<50";
        // 定义正则表达式
        String regex = "(\\d+)\\s*((?:==?|!=|<=?|>=?))\\s*value\\s*((?:==?|!=|<=?|>=?))\\s*(\\d+)";
        Pattern pattern = Pattern.compile(regex);
        Matcher matcher = pattern.matcher(str);

        if (matcher.find()) {
            String number1 = matcher.group(1);   // 第一个数字
            String operator1 = matcher.group(2); // 第一个比较符
            String operator2 = matcher.group(3); // 第二个比较符
            String number2 = matcher.group(4);   // 第二个数字
            System.out.printf("%s %s value %s %s%n", number1, operator1, operator2, number2);
        }
        System.out.println("");
    }
}
